% Compute DH parameters:
function A = DH(theta_z, d_z, a_x, alpha_x)
%#codegen

A_R_z = [cos(theta_z) -sin(theta_z) 0 0;
         sin(theta_z) cos(theta_z) 0 0;
         0 0 1 0;
         0 0 0 1];

A_T_z = [1 0 0 0;
         0 1 0 0;
         0 0 1 d_z;
         0 0 0 1];

A_T_x = [1 0 0 a_x;
         0 1 0 0;
         0 0 1 0;
         0 0 0 1];

A_R_x = [1 0 0 0;
         0 cos(alpha_x) -sin(alpha_x)  0;
         0 sin(alpha_x) cos(alpha_x) 0;
         0 0 0 1];

% A = A_R_z*A_T_z*A_T_x*A_R_x;
A = A_T_x*A_R_x*A_R_z*A_T_z;